twitter4j

## Class StatusAdapter

- java.lang.Object
- - twitter4j.StatusAdapter

All Implemented Interfaces:
  StatusListener, StreamListener

Direct Known Subclasses:
  UserStreamAdapter

    public class StatusAdapter
    extends java.lang.Object
    implements StatusListener

Since:
  Twitter4J 2.1.3
Author:
  yusuke at mac.com

### Constructor Summary

Constructors
Constructor and Description
`StatusAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onDeletionNotice(StatusDeletionNotice statusDeletionNotice)` Called upon deletionNotice notices.
`void` `onException(java.lang.Exception ex)`
`void` `onScrubGeo(long userId, long upToStatusId)` Called upon location deletion messages.
`void` `onStallWarning(StallWarning warning)` Called when receiving stall warnings.
`void` `onStatus(Status status)`
`void` `onTrackLimitationNotice(int numberOfLimitedStatuses)` This notice will be sent each time a limited stream becomes unlimited. If this number is high and or rapidly increasing, it is an indication that your predicate is too broad, and you should consider a predicate with higher selectivity.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatusAdapter

    public StatusAdapter()

### Method Detail

#### onStatus

    public void onStatus(Status status)

Specified by:
  `onStatus` in interface `StatusListener`

#### onDeletionNotice

    public void onDeletionNotice(StatusDeletionNotice statusDeletionNotice)

Description copied from interface: `StatusListener`
Called upon deletionNotice notices. Clients are urged to honor deletionNotice requests and discard deleted statuses immediately. At times, status deletionNotice messages may arrive before the status. Even in this case, the late arriving status should be deleted from your backing store.

Specified by:
  `onDeletionNotice` in interface `StatusListener`
Parameters:
  `statusDeletionNotice` - the deletionNotice notice
See Also:
  Streaming API Concepts | Twitter Developers

#### onTrackLimitationNotice

    public void onTrackLimitationNotice(int numberOfLimitedStatuses)

Description copied from interface: `StatusListener`
This notice will be sent each time a limited stream becomes unlimited.
If this number is high and or rapidly increasing, it is an indication that your predicate is too broad, and you should consider a predicate with higher selectivity.

Specified by:
  `onTrackLimitationNotice` in interface `StatusListener`
Parameters:
  `numberOfLimitedStatuses` - an enumeration of statuses that matched the track predicate but were administratively limited.
See Also:
  Streaming API Concepts - Filter Limiting | Twitter Developers, Streaming API Concepts - Parsing Responses | Twitter Developers, Twitter Development Talk - Track API Limit message meaning

#### onScrubGeo

    public void onScrubGeo(long userId,
                           long upToStatusId)

Description copied from interface: `StatusListener`
Called upon location deletion messages. Clients are urged to honor deletion requests and remove appropriate geolocation information from both the display and your backing store immediately. Note that in some cases the location deletion message may arrive before a tweet that lies within the deletion range arrives. You should still strip the location data.

Specified by:
  `onScrubGeo` in interface `StatusListener`
Parameters:
  `userId` - user id
  `upToStatusId` - up to status id

#### onException

    public void onException(java.lang.Exception ex)

Specified by:
  `onException` in interface `StreamListener`

#### onStallWarning

    public void onStallWarning(StallWarning warning)

Description copied from interface: `StatusListener`
Called when receiving stall warnings.

Specified by:
  `onStallWarning` in interface `StatusListener`
Parameters:
  `warning` - StallWaning
See Also:
  Streaming API request parameters - stall_warnings